import { select, range, scaleOrdinal } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');




const makeFruit = type => ({type});
const fruits = range(6).map(() => makeFruit('apple'));

fruitBowl(svg, { fruits });

setTimeout(() => { 
  fruits.pop(); 
  fruitBowl(svg, { fruits });
}, 1000);

setTimeout(() => { 
  fruits[2].type = 'lemon'; 
  fruitBowl(svg, { fruits });
}, 2000);
